tests/helpers-testrepo.sh
changeset 33125 acfce52518c4
parent 33116 6c113a7dec52
child 33126 98e2c78e309c
--- a/tests/helpers-testrepo.sh	Wed Jun 28 10:50:37 2017 -0700
+++ b/tests/helpers-testrepo.sh	Wed Jun 28 13:45:51 2017 -0700
@@ -25,3 +25,16 @@
     HGPLAIN=1
     export HGPLAIN
 }
+
+# Most test-check-* sourcing this file run "hg files", which is not available
+# in ancient versions of hg. So we double check if "syshg files" works and
+# fallback to hg bundled in the repo.
+syshg files -h >/dev/null 2>/dev/null
+if [ $? -ne 0 ]; then
+    syshg() {
+        hg "$@"
+    }
+    syshgenv() {
+        :
+    }
+fi